## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanNullOutputStream Class Reference

`#include <XalanNullOutputStream.hpp>`

Inheritance diagram for XalanNullOutputStream

Collaboration diagram for XalanNullOutputStream:

List of all members.

## Public Methods

- XalanNullOutputStream ()
- virtual ~XalanNullOutputStream ()

## Protected Methods

- virtual void writeData ( const char* theBuffer, size_type theBufferLength)
    Write the data in the buffer. More...
- virtual void doFlush ()
    Flush the stream.

## Constructor & Destructor Documentation

XalanNullOutputStream::XalanNullOutputStream ( | )`[explicit]`

virtual XalanNullOutputStream::~XalanNullOutputStream ( | )`[virtual]`

## Member Function Documentation

virtual void XalanNullOutputStream::doFlush ( | )`[protected, virtual]`

Flush the stream.

Reimplemented from XalanOutputStream.

virtual void XalanNullOutputStream::writeData ( | const char * theBuffer,
| size_type theBufferLength )`[protected, virtual]`

Write the data in the buffer.

Parameters:

  theBuffer | The data to write
  theBufferLength | The length of theBuffer.

Reimplemented from XalanOutputStream.

The documentation for this class was generated from the following file:

- XalanNullOutputStream.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.